<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <select id="year">
      <option value="2008">2008</option>
      <option value="2009">2009</option>
      <option value="2010">2010</option>
      <option value="2011">2011</option>
      <option value="2012">2012</option>
      <option value="2013">2013</option>
      <option value="2014">2014</option>
      <option value="2015">2015</option>
      <option value="2016">2016</option>
      <option value="2017">2017</option>
    </select>
    <p id="data"></p>
    <script>
      const selector = document.getElementById("year");
      const data = document.getElementById("data");

      selector.addEventListener("change", getYearMatches);

      async function getYearMatches() {
        data.innerText = "Loading ...";
        const results = await fetch(
          "http://localhost:5000/matches/" + selector.value,
        ).then((res) => {
          return res.json();
        });
        console.log(results);
        data.innerText = JSON.stringify(results);
      }
    </script>
  </body>
</html>
